import { faker } from '@faker-js/faker';
import { E2EBenutzerHelper } from 'apps/admin-e2e/src/helper/benutzer/benutzer.helper';
import { E2EBenutzerVerifier } from 'apps/admin-e2e/src/helper/benutzer/benutzer.verifier';
import { AdminUserE2E } from 'apps/admin-e2e/src/model/util';
import { loginAsAriane } from 'apps/admin-e2e/src/support/user-util';

describe('Benutzer Löschen', () => {
  const benutzerVerifier: E2EBenutzerVerifier = new E2EBenutzerVerifier();
  const benutzerHelper: E2EBenutzerHelper = new E2EBenutzerHelper();

  const userName: string = 'testtheo' + faker.string.uuid();
  const user: AdminUserE2E = {
    vorname: 'Theo',
    nachname: 'Testuser',
    username: userName,
    email: 'theo' + faker.string.uuid() + '@ozg-sh.de',
    isUser: true,
    organisationseinheiten: [],
  };

  before(() => {
    loginAsAriane();
  });

  it('should delete user', () => {
    benutzerHelper.openNewBenutzerPage();
    benutzerHelper.addBenutzerAndSave(user);

    benutzerHelper.deleteBenutzer(userName);

    benutzerVerifier.verifyUserNotInList(userName);
  });
});
