import { MainPage } from 'apps/admin-e2e/src/page-objects/main.po';
import { containClass, exist, notExist } from 'apps/admin-e2e/src/support/cypress.util';
import { loginAsDaria } from 'apps/admin-e2e/src/support/user-util';

describe('Daria Navigation', () => {
  const mainPage: MainPage = new MainPage();

  describe('with user daria', () => {
    before(() => {
      loginAsDaria();
    });

    it('should hide benutzer navigation item', () => {
      notExist(mainPage.getBenutzerNavigationItem());
    });

    it('should hide organisationseinheiten navigation item', () => {
      notExist(mainPage.getOrganisationEinheitNavigationItem());
    });

    it('should hide postfach navigation item', () => {
      notExist(mainPage.getPostfachNavigationItem());
    });

    describe('statistik navigation item', () => {
      it('should be visible', () => {
        exist(mainPage.getStatistikNavigationItem());
      });

      it('should be initial selected', () => {
        containClass(mainPage.getStatistikNavigationItem(), 'border-selected');
      });
    });
  });
});
