import { PostfachE2EComponent } from '../../components/postfach/postfach.e2e.component';
import { MainPage } from '../../page-objects/main.po';
import { exist } from '../../support/cypress.util';

export class E2EPostfachNavigator {
  private mainPage: MainPage = new MainPage();
  private postfach: PostfachE2EComponent = new PostfachE2EComponent();

  public openPostfachPage(): void {
    this.navigateToDomain();
    this.mainPage.getPostfachNavigationItem().click();
    exist(this.postfach.getHeadline());
  }

  private navigateToDomain(): void {
    this.mainPage.getHeader().getLogo().click();
  }
}
