/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { getTestElement } from '../../support/cypress-helper';
import { AttachmentContainerE2EComponent } from '../attachment/attachment.e2e.component';

export class PostfachMailFormularE2EComponent {
  private readonly empfaenger: string = 'postfach-empfaenger';
  private readonly betreffInput: string = 'Betreff-text-input';
  private readonly betreffError: string = 'Betreff-text-error';
  private readonly textInput: string = 'Text-textarea-input';
  private readonly textError: string = 'Text-textarea-error';
  private readonly replyOptionCheckbox: string = 'postfach-reply-option';
  private readonly sendButton: string = 'postfach-send-button';

  private readonly attachmentContainer: AttachmentContainerE2EComponent = new AttachmentContainerE2EComponent();

  public getEmpfaenger(): Cypress.Chainable<HTMLElement> {
    return cy.getTestElement(this.empfaenger);
  }

  public getBetreff(): Cypress.Chainable<HTMLElement> {
    return cy.getTestElement(this.betreffInput);
  }

  public getBetreffError(): Cypress.Chainable<HTMLElement> {
    return cy.getTestElement(this.betreffError);
  }

  public getText(): Cypress.Chainable<HTMLElement> {
    return cy.getTestElement(this.textInput);
  }

  public getTextError(): Cypress.Chainable<HTMLElement> {
    return cy.getTestElement(this.textError);
  }

  public getSendButton(): Cypress.Chainable<HTMLElement> {
    return cy.getTestElement(this.sendButton);
  }

  public getReplyOption(): Cypress.Chainable<HTMLElement> {
    return getTestElement(this.replyOptionCheckbox).find('.mdc-checkbox__native-control');
  }

  public getAttachmentContainer(): AttachmentContainerE2EComponent {
    return this.attachmentContainer;
  }
}
