/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
export class AntragstellerE2EComponent {
  private readonly antragstellerName: string = 'antragsteller-name';
  private readonly antragstellerEmail: string = 'antragsteller-email';
  private readonly antragstellerTelefon: string = 'antragsteller-telefon';
  private readonly antragstellerStrasseHausnummer: string = 'antragsteller-strasse-hausnummer';
  private readonly antragstellerPlzOrt: string = 'antragsteller-plz-ort';
  private readonly antragstellerBirthData: string = 'antragsteller-geburt';
  private readonly noAntragsteller: string = 'no-antragsteller';

  private readonly locatorRoot: string = 'vorgang-detail-antragsteller';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getName() {
    return cy.getTestElement(this.antragstellerName);
  }

  public getEmail() {
    return cy.getTestElement(this.antragstellerEmail);
  }

  public getTelefon() {
    return cy.getTestElement(this.antragstellerTelefon);
  }

  public getStrasseHausnummer() {
    return cy.getTestElement(this.antragstellerStrasseHausnummer);
  }

  public getPlzOrt() {
    return cy.getTestElement(this.antragstellerPlzOrt);
  }

  public getBirthData() {
    return cy.getTestElement(this.antragstellerBirthData);
  }

  public getNoAntragsteller() {
    return cy.getTestElement(this.noAntragsteller);
  }
}
