/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { ForwardFormularE2EComponent } from './vorgang-forward-formular.e2e.component';

export class ForwardingByEmailE2EComponent {
  private readonly locatorForwardingSpinner: string = 'forwarding-spinner';
  private readonly locatorForwardingSuccessMessage: string = 'forwarding-success-message';
  private readonly locatorForwardingErrorMessage: string = 'forwarding-error-message';
  private readonly locatorForwardingMarkAsSuccessButton: string = 'mark-as-success-button';
  private readonly locatorSuccessfullMessage: string = 'successfull-message';
  private readonly locatorForwardingMarkAsFailButton: string = 'mark-as-fail-button';
  private readonly locatorFailedMessage: string = 'failed-message';

  private readonly forwardingFormular: ForwardFormularE2EComponent = new ForwardFormularE2EComponent();

  private readonly locatorRoot: string = 'forwarding';

  public getRoot() {
    return cy.getTestElement(this.locatorRoot);
  }

  public getFormular(): ForwardFormularE2EComponent {
    return this.forwardingFormular;
  }

  public getForwardingSuccessMessage() {
    return cy.getTestElement(this.locatorForwardingSuccessMessage);
  }

  public getForwardingErrorMessage() {
    return cy.getTestElement(this.locatorForwardingErrorMessage);
  }

  public getSpinner() {
    return cy.getTestElement(this.locatorForwardingSpinner);
  }

  public getMarkAsSuccessButton() {
    return cy.getTestElement(this.locatorForwardingMarkAsSuccessButton);
  }

  public getSuccessfullMessage() {
    return cy.getTestElement(this.locatorSuccessfullMessage);
  }

  public getMarkAsFailButton() {
    return cy.getTestElement(this.locatorForwardingMarkAsFailButton);
  }

  public getFailedMessage() {
    return cy.getTestElement(this.locatorFailedMessage);
  }
}
