import { registerLocaleData } from '@angular/common';
import localeDe from '@angular/common/locales/de';
import localeDeExtra from '@angular/common/locales/extra/de';
import { E2EAppHelper } from 'apps/alfa-e2e/src/helper/app.helper';
import { E2EForwardingHelper } from 'apps/alfa-e2e/src/helper/forwarding/forwarding.helper';
import { E2EOrganisationsEinheit } from 'apps/alfa-e2e/src/model/organisationseinheit';
import { E2EVorgangVerifier } from '../../../helper/vorgang/vorgang.verifier';
import { VorgangE2E } from '../../../model/vorgang';
import { dropCollections } from '../../../support/cypress-helper';
import { createVorgang, initVorgang } from '../../../support/vorgang-util';

registerLocaleData(localeDe, 'de', localeDeExtra);

describe('Vorgang weiterleiten', () => {
  const appHelper: E2EAppHelper = new E2EAppHelper();

  const vorgangVerifier: E2EVorgangVerifier = new E2EVorgangVerifier();

  const forwardingHelper: E2EForwardingHelper = new E2EForwardingHelper();

  const vorgang: VorgangE2E = { ...createVorgang(), name: 'Weiterleitung' };

  before(() => {
    initVorgang(vorgang);

    appHelper.loginAsSabine();
  });

  after(() => {
    dropCollections();
  });

  it('should disable all functions after successfully forwarding', () => {
    forwardingHelper.openForwarding(vorgang.name);

    forwardingHelper.forwardTo(E2EOrganisationsEinheit.HAMBURG_STADTENTWAESSERUNG);

    vorgangVerifier.verifyVorgangIsLocked();
  });
});
