import { VorgangListE2EComponent } from '../components/vorgang/vorgang-list.e2e.component';
import { MainPage, waitForSpinnerToDisappear } from '../page-objects/main.po';
import { exist } from '../support/cypress.util';
import { loginAsSabine } from '../support/user-util';

export class E2EAppHelper {
  private readonly mainPage: MainPage = new MainPage();
  private readonly vorgangList: VorgangListE2EComponent = new VorgangListE2EComponent();

  public loginAsSabine(): void {
    loginAsSabine();
    this.waitAfterLogin();
  }

  private waitAfterLogin(): void {
    waitForSpinnerToDisappear();
    exist(this.vorgangList.getRoot());
  }

  public navigateToDomain(): void {
    this.mainPage.getHeader().getLogo().click();
  }
}
