import { TEST_FILE_WITH_CONTENT, TEST_FILE_WITHOUT_CONTENT } from '../../support/data.util';
import { E2EAttachmentExecutor } from './attachment.executor';

export class E2EAttachmentHelper {
  private readonly executor: E2EAttachmentExecutor = new E2EAttachmentExecutor();

  public deleteAttachment(fileName: string): void {
    this.deleteAttachments([fileName]);
  }

  public deleteAttachments(fileNames: string[]): void {
    this.executor.deleteAttachments(fileNames);
  }

  public uploadAttachment(fileName: string = TEST_FILE_WITH_CONTENT): void {
    this.uploadAttachments([fileName]);
  }

  public uploadAttachments(fileNames: string[]): void {
    this.executor.uploadAttachment(fileNames);
  }

  public uploadEmptyAttachment(fileName: string = TEST_FILE_WITHOUT_CONTENT): void {
    this.executor.uploadEmptyAttachment(fileName);
  }

  public downloadAttachment(fileName: string): void {
    this.executor.downloadAttachment(fileName);
  }
}
