import { ForwardingDialogE2EComponent } from '../../components/vorgang/vorgang-forwarding-dialog.e2e.component';
import { waitForSpinnerToDisappear } from '../../page-objects/main.po';
import { exist } from '../../support/cypress.util';

export class E2EForwardingExecutor {
  private readonly forwardingDialog = new ForwardingDialogE2EComponent();

  public fillForwardingDialog(organisationsEinheit: string): void {
    this.forwardingDialog.getSearchText().type(organisationsEinheit);
    waitForSpinnerToDisappear();
    this.forwardingDialog.clickSearchEntry(0);
    exist(this.forwardingDialog.getSelectedSearchItem());
    this.forwardingDialog.getForwardingButton().click();
    waitForSpinnerToDisappear();
  }
}
