import { existsAsHtmlElement, notExistsAsHtmlElement } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { provideRouter } from '@angular/router';
import { getDataTestIdOf } from 'libs/tech-shared/test/data-test';
import { AppComponent } from './app.component';

describe('AppComponent', () => {
  let component: AppComponent;
  let fixture: ComponentFixture<AppComponent>;

  const navigationLocator: string = getDataTestIdOf('navigation-footer');

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [AppComponent],
      providers: [provideRouter([])],
    }).compileComponents();

    fixture = TestBed.createComponent(AppComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('component', () => {
    describe('ngOnInit', () => {
      it('should set isBayern', () => {
        component.ngOnInit();

        expect(component.isBayern).toBe(false);
      });
    });
  });

  describe('template', () => {
    describe('bundesland bayern', () => {
      it('should NOT show navigation footer', () => {
        component.isBayern = true;

        fixture.detectChanges();

        notExistsAsHtmlElement(fixture, navigationLocator);
      });

      it('should show navigation footer', () => {
        component.isBayern = false;

        fixture.detectChanges();

        existsAsHtmlElement(fixture, navigationLocator);
      });
    });
  });
});
