import { AggregationMappingFormContainerComponent } from '@admin-client/aggregation-mapping';
import { AggregationMappingService } from '@admin-client/reporting-shared';
import { Mock, mock } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { expect } from '@jest/globals';
import { SpinnerComponent } from '@ods/component';
import { MockComponent } from 'ng-mocks';
import { AggregationMappingFormComponent } from './aggregation-mapping-form/aggregation-mapping-form.component';

describe('AggregationMappingFormContainerComponent', () => {
  let component: AggregationMappingFormContainerComponent;
  let fixture: ComponentFixture<AggregationMappingFormContainerComponent>;

  let aggregationMappingService: Mock<AggregationMappingService>;

  beforeEach(async () => {
    aggregationMappingService = mock(AggregationMappingService);

    await TestBed.configureTestingModule({
      imports: [
        AggregationMappingFormContainerComponent,
        MockComponent(SpinnerComponent),
        MockComponent(AggregationMappingFormComponent),
      ],
      providers: [
        {
          provide: AggregationMappingService,
          useValue: aggregationMappingService,
        },
      ],
    }).compileComponents();

    fixture = TestBed.createComponent(AggregationMappingFormContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('component', () => {
    describe('on destroy', () => {
      it('should reload list', () => {
        component.ngOnDestroy();

        expect(aggregationMappingService.refreshList).toHaveBeenCalled();
      });
    });
  });
});
