/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { toResource } from 'libs/tech-shared/test/resource';
import { ApiRoot, ApiRootResource } from '../src/lib/api-root.model';

export function createApiRootResource(linkRels: string[] = []): ApiRootResource {
  return toResource(createApiRoot(), linkRels);
}

export function createApiRoot(): ApiRoot {
  return {
    version: '1',
    buildTime: '1',
    javaVersion: '1',
    production: false,
    barrierefreiheitUrl: 'https://example-barrierefreiheit.com/',
    impressumUrl: 'https://example-impressum.com/',
  };
}
