import { ListResourceServiceConfig, ResourceListService, ResourceRepository } from '@alfa-client/tech-shared';
import { VorgangService, VorgangWithEingangLinkRel, VorgangWithEingangResource } from '@alfa-client/vorgang-shared';
import { BescheidListLinkRel } from './bescheid.linkrel';
import { BescheidListResource, BescheidResource } from './bescheid.model';

export class BescheidListResourceService extends ResourceListService<
  VorgangWithEingangResource,
  BescheidListResource,
  BescheidResource
> {}

export function createBescheidListResourceService(
  repository: ResourceRepository<BescheidResource>,
  vorgangService: VorgangService,
): ResourceListService<VorgangWithEingangResource, BescheidListResource, BescheidResource> {
  return new BescheidListResourceService(buildBescheidListServiceConfig(vorgangService), repository);
}

function buildBescheidListServiceConfig(vorgangService: VorgangService): ListResourceServiceConfig<VorgangWithEingangResource> {
  return {
    baseResource: vorgangService.getVorgangWithEingang(),
    listLinkRel: VorgangWithEingangLinkRel.BESCHEIDE,
    listResourceListLinkRel: BescheidListLinkRel.BESCHEID_LIST,
  };
}
