import { ComponentFixture, TestBed } from '@angular/core/testing';

import { getMockComponent } from '@alfa-client/test-utils';
import { faker } from '@faker-js/faker';
import { LinkComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { DropdownMenuLinkItemComponent } from './dropdown-menu-link-item.component';

describe('DropdownMenuLinkItemComponent', () => {
  let component: DropdownMenuLinkItemComponent;
  let fixture: ComponentFixture<DropdownMenuLinkItemComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [DropdownMenuLinkItemComponent, MockComponent(LinkComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(DropdownMenuLinkItemComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('link', () => {
      it('should exist with input', () => {
        component.url = faker.word.sample();

        fixture.detectChanges();

        const link: LinkComponent = getMockComponent(fixture, LinkComponent);
        expect(link).toBeTruthy();
        expect(link.url).toBe(component.url);
      });
    });
  });
});
