/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { createStateResource, ToEmbeddedResourcesPipe } from '@alfa-client/tech-shared';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { createCommandListResource } from 'libs/command-shared/test/command';
import { MockComponent } from 'ng-mocks';
import { ForwardingByEmailInfoListComponent } from './forwarding-by-email-info-list.component';
import { ForwardingByEmailInfoComponent } from './forwarding-by-email-info/forwarding-by-email-info.component';

describe('ForwardingByEmailInfoListComponent', () => {
  let component: ForwardingByEmailInfoListComponent;
  let fixture: ComponentFixture<ForwardingByEmailInfoListComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ForwardingByEmailInfoListComponent, MockComponent(ForwardingByEmailInfoComponent), ToEmbeddedResourcesPipe],
    }).compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(ForwardingByEmailInfoListComponent);
    component = fixture.componentInstance;
    component.forwardingList = createStateResource(createCommandListResource());
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
