import { ComponentFixture, TestBed } from '@angular/core/testing';

import { dispatchEventFromFixture, mock, Mock, MockEvent } from '@alfa-client/test-utils';
import { OrganisationsEinheitService, ZUSTAENDIGE_STELLE_SERVICE } from '@alfa-client/zustaendige-stelle-shared';
import { ButtonComponent } from '@ods/system';
import { MockComponent } from 'ng-mocks';
import { getDataTestIdOf } from '../../../../../../../tech-shared/test/data-test';
import { ChangeButtonContainerComponent } from './change-button-container.component';

describe('ForwardingItemChangeButtonContainerComponent', () => {
  let component: ChangeButtonContainerComponent;
  let fixture: ComponentFixture<ChangeButtonContainerComponent>;

  const buttonContainer: string = getDataTestIdOf('forwarding-item-change-button-container');

  let service: Mock<OrganisationsEinheitService>;

  beforeEach(() => {
    service = mock(OrganisationsEinheitService);

    TestBed.configureTestingModule({
      imports: [ChangeButtonContainerComponent],
      declarations: [MockComponent(ButtonComponent)],
      providers: [{ provide: ZUSTAENDIGE_STELLE_SERVICE, useValue: service }],
    }).compileComponents();

    fixture = TestBed.createComponent(ChangeButtonContainerComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('button', () => {
    it('should call onClick on button click', () => {
      component.onClick = jest.fn();

      dispatchEventFromFixture(fixture, buttonContainer, MockEvent.CLICK);

      expect(component.onClick).toHaveBeenCalled();
    });
  });

  describe('onClick', () => {
    it('should clear selected result', () => {
      component.onClick();

      expect(service.clearSelectedResult).toHaveBeenCalled();
    });
  });
});
