/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { CommandSharedModule } from '@alfa-client/command-shared';
import { ForwardingSharedModule } from '@alfa-client/forwarding-shared';
import { FormatDateWithTimePipe, HasLinkPipe, ToEmbeddedResourcesPipe } from '@alfa-client/tech-shared';
import { ExpansionPanelComponent, OzgcloudStrokedButtonWithSpinnerComponent, OzgcloudTextEditorComponent, SpinnerComponent, } from '@alfa-client/ui';
import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { ReactiveFormsModule } from '@angular/forms';
import { MatIcon } from '@angular/material/icon';
import { ForwardingByEmailContainerComponent } from './forwarding-by-email-container/forwarding-by-email-container.component';
import { ForwardingByEmailFormComponent } from './forwarding-by-email-container/forwarding-by-email-formular/forwarding-by-email-form/forwarding-by-email-form.component';
import { ForwardingByEmailFormularComponent } from './forwarding-by-email-container/forwarding-by-email-formular/forwarding-by-email-formular.component';
import { ForwardingByEmailInfoListComponent } from './forwarding-by-email-container/forwarding-by-email-info-list/forwarding-by-email-info-list.component';
import { ForwardingByEmailInfoComponent } from './forwarding-by-email-container/forwarding-by-email-info-list/forwarding-by-email-info/forwarding-by-email-info.component';
import { ForwardingByEmailZustellenContainerComponent } from './forwarding-by-email-zustellen-container/forwarding-by-email-zustellen-container.component';

@NgModule({
  imports: [
    CommonModule,
    ForwardingSharedModule,
    CommandSharedModule,
    OzgcloudTextEditorComponent,
    OzgcloudStrokedButtonWithSpinnerComponent,
    SpinnerComponent,
    FormatDateWithTimePipe,
    MatIcon,
    HasLinkPipe,
    ToEmbeddedResourcesPipe,
    ExpansionPanelComponent,
    ReactiveFormsModule,
  ],
  declarations: [
    ForwardingByEmailZustellenContainerComponent,
    ForwardingByEmailContainerComponent,
    ForwardingByEmailFormularComponent,
    ForwardingByEmailInfoComponent,
    ForwardingByEmailInfoListComponent,
    ForwardingByEmailFormularComponent,
    ForwardingByEmailZustellenContainerComponent,
    ForwardingByEmailFormComponent,
  ],
  exports: [ForwardingByEmailContainerComponent],
})
export class ForwardingModule {}
